Capítulo 2. Ejecutando el GIMP
| Parte I. Comenzando con el GIMP |

## Capítulo 2. Ejecutando el GIMP

## 1. Lanzamiento del GIMP

Historial de revisiones
Revisión $Revision: 2504 $ | 2006-07-23 | manuelq

A menudo, se inicia el GIMP clicando sobre un icono (si su sistema está configurado para proporcionar uno), o escribiendo gimp en la línea de comandos. Si tiene múltiples versiones del GIMP instaladas, podría necesitar escribir gimp-2.4 para lanzar dicha versión. Si quiere, puede proporcionar una lista de imágenes en la línea de comandos, luego del nombre del programa, y automáticamente se abrirán al inicio. Una vez lanzado, es posible abrir archivos desde el interior del GIMP.

En la mayoría de los sistemas operativos, se pueden realizar configuraciones para que varios tipos de imágenes queden “asociadas” al GIMP. Esto causa que el GIMP se lance automáticamente cuando se realice doble clic sobre los iconos de las imágenes.

### 1.1. Plataformas conocidas

El GIMP es el programa de manipulación de imágenes más ampliamente portado que hay a la fecha. Las plataformas en que se conoce que funciona incluyen

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ y BeOS™.

El GIMP puede ser portado fácilmente a otros sistemas operativos por la disponibilidad de su código fuente.

### 1.2. Lenguaje

Si está todo bien, el GIMP detecta el lenguaje del sistema. Esto puede fallar en algunas máquinas, o tal vez prefiera usar otro lenguaje. Es posible cambiar el lenguaje:

Linux

  En LINUX: en la línea de comandos, escriba `LANGUAGE=es gimp` o `LANG=es gimp` reemplazando "es" por el código de lenguaje que desee (fr, de, en, etc). Al hacer `LANGUAGE=es` está estableciendo una variable de entorno para el programa en cuestión, en este caso `gimp`.

Windows XP

  En Windows XP: Panel de control/Sistema/Avanzado/botón "Entorno"/ En el área "Variables del sistema": botón "Agregar": Ingresar LANG en Nombre y el código del lenguaje (es, fr, de, en, etc) en Valor. Advertencia: necesita clicar sucesivamente en tres "Aceptar" para validar la opción.

  Si cambia de lenguaje a menudo, puede crear un archivo batch. Abra el bloc de notas, y escriba los comandos que siguen (el ejemplo es para español):

  set lang=es
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Guarde este archivo como GIMP-ES.BAT (o cualquier otro nombre, pero siempre con la extensión .BAT. Cree un atajo y arrástrelo a su escritorio.

Apple Mac OS X

  Diríjase a Preferencias del sistema, haga clic sobre el icono Internacional, y en el apartado Lenguaje, el lenguaje que desee emplear debería ser el primero de la lista.

### 1.3. Argumentos de la línea de comandos

No necesita dar argumentos para lanzar el GIMP, pero aquí hay una lista de algunos que podrían ser útiles en ciertos momentos. Éste no es un listado completo; en sistemas Unix puede obtenerse escribiendo `man gimp` en la línea de comandos.

-?, --help

  Muestra un listado de todas las opciones de la línea de comandos.

-v, --version

  Imprime la versión del GIMP en cuestión, y sale.

--verbose

  Muestra mensajes detallados del inicio.

-d, --no-data

  No carga patrones, gradientes, paletas, ni brochas. A menudo es útil cuando se quiere minimizar el tiempo de inicio, en situaciones de uso no interactivo.

-s, --no-splash

  No muestra la pantalla de inicio al lanzarse.

--session=`name`

  Usa un archivo de configuración `sessionrc` alternativo para esta sesión. El nombre de sesión (name) proporcionado se añade al final del nombre de archivo `sessionrc` por omisión.

--gimprc=`filename`

  Utiliza un archivo de configuración `gimprc` alternativo en lugar del que existe por omisión. El archivo `gimprc` contiene un registro de las preferencias. Es útil en los casos en que las rutas de los complementos (plug-ins) o las especificaciones del sistema pueden variar.

-b, --batch=`commands`

  Ejecuta el conjunto de comandos de forma no interactiva. Este conjunto típicamente se da en forma de un guión que puede ejecutarse por una de las extensiones de guionado del GIMP. Cuando "commands" es un `-`, los comandos se leen de la entrada estándar.

--console-messages

  No aparecen diálogos informando de errores o advertencias. En cambio, se imprimen mensajes en la consola.

--display=`display`

  Usa la pantalla de X especificada (esta opción no se aplica al GIMP en Microsoft Windows)

2. Cambios recientes del GIMP |  | Capítulo 3. Primeros pasos con Wilber